### Class

# Phosh WifiNetwork

#### Description [src]

    final class Phosh.WifiNetwork : GObject.Object
    {
      /* No available fields */
    }

An object that represents a Wi-Fi network.

A network is identified by it’s SSID and encryption type and mode.

#### Ancestors

- GObject

#### Constructors

###### phosh_wifi_network_new_from_access_point

No description available.

#### Instance methods

###### phosh_wifi_network_add_access_point

No description available.

###### phosh_wifi_network_get_active

No description available.

###### phosh_wifi_network_get_best_access_point

Get the AP with the greatest signal strength in the givein Wi-Fi network.

###### phosh_wifi_network_get_is_connecting

No description available.

###### phosh_wifi_network_get_mode

No description available.

###### phosh_wifi_network_get_secured

No description available.

###### phosh_wifi_network_get_ssid

No description available.

###### phosh_wifi_network_get_strength

No description available.

###### phosh_wifi_network_matches_access_point

No description available.

###### phosh_wifi_network_remove_access_point

No description available.

###### phosh_wifi_network_set_is_connecting

No description available.

###### phosh_wifi_network_update_active

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.WifiNetwork:active

Whether the activated access point belongs to the network.

###### Phosh.WifiNetwork:best-access-point

The best access point of the network.

###### Phosh.WifiNetwork:is-connecting

Whether we are trying to connect to the network.

###### Phosh.WifiNetwork:mode

Mode of the network.

###### Phosh.WifiNetwork:secured

Whether the network is secured.

###### Phosh.WifiNetwork:ssid

SSID of the network.

###### Phosh.WifiNetwork:strength

Strength of the best access point of the network.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshWifiNetworkClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.